2005-01-06 12:26:14 +03:00
#!/bin/sh
# tests that should pass against a w2k3 DC, as administrator
# add tests to this list as they start passing, so we test
# that they stay passing
2005-05-25 01:59:01 +04:00
ncacn_np_tests = "RPC-SCHANNEL RPC-DSSETUP RPC-EPMAPPER RPC-SAMR RPC-WKSSVC RPC-SRVSVC RPC-EVENTLOG RPC-NETLOGON RPC-LSA RPC-SAMLOGON RPC-SAMSYNC RPC-MULTIBIND RPC-WINREG"
2005-04-25 08:05:41 +04:00
ncacn_ip_tcp_tests = "RPC-SCHANNEL RPC-EPMAPPER RPC-SAMR RPC-NETLOGON RPC-LSA RPC-SAMLOGON RPC-SAMSYNC RPC-MULTIBIND"
2005-01-06 12:26:14 +03:00
if [ $# -lt 4 ] ; then
cat <<EOF
2005-03-19 11:18:24 +03:00
Usage: test_w2k3.sh SERVER USERNAME PASSWORD DOMAIN REALM
2005-01-06 12:26:14 +03:00
EOF
exit 1;
fi
2005-01-24 04:15:30 +03:00
if [ -z " $VALGRIND " ] ; then
export MALLOC_CHECK_ = 2
fi
2005-01-06 12:26:14 +03:00
server = " $1 "
username = " $2 "
password = " $3 "
domain = " $4 "
2005-03-19 11:18:24 +03:00
realm = " $5 "
shift 5
2005-01-06 12:26:14 +03:00
testit( ) {
trap " rm -f test. $$ " EXIT
cmdline = " $* "
2005-01-24 04:15:30 +03:00
if ! $VALGRIND $cmdline > test.$$ 2>& 1; then
2005-01-06 12:26:14 +03:00
cat test.$$ ;
rm -f test.$$ ;
echo " TEST FAILED - $cmdline " ;
exit 1;
fi
rm -f test.$$ ;
2005-06-08 22:01:25 +04:00
return 0;
}
testok( ) {
name = ` basename $1 `
failed = $2
if [ x" $failed " = x"0" ] ; then
echo " ALL OK ( $name ) " ;
else
echo " $failed TESTS FAILED ( $name ) " ;
fi
exit $failed
2005-01-06 12:26:14 +03:00
}
2005-03-19 11:18:24 +03:00
OPTIONS = " -U $username % $password -W $domain --option realm= $realm "
2005-02-14 04:58:41 +03:00
2005-06-08 22:01:25 +04:00
failed = 0
2005-05-30 18:55:26 +04:00
echo Testing RPC-SPOOLSS on ncacn_np
2005-06-08 22:01:25 +04:00
testit bin/smbtorture ncacn_np:" $server " $OPTIONS RPC-SPOOLSS " $* " || failed = ` expr $failed + 1`
2005-05-30 18:55:26 +04:00
2005-03-24 01:15:48 +03:00
for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate bigendian; do
for transport in ncacn_ip_tcp ncacn_np; do
2005-01-06 12:26:14 +03:00
case $transport in
ncacn_np) tests = $ncacn_np_tests ; ;
ncacn_ip_tcp) tests = $ncacn_ip_tcp_tests ; ;
esac
for t in $tests ; do
echo Testing $t on $transport with $bindoptions
2005-06-08 22:01:25 +04:00
testit bin/smbtorture $transport :" $server [ $bindoptions ] " $OPTIONS $t " $* " || failed = ` expr $failed + 1`
2005-01-06 12:26:14 +03:00
done
done
done
echo Testing RPC-DRSUAPI on ncacn_ip_tcp with seal
2005-06-08 22:01:25 +04:00
testit bin/smbtorture ncacn_ip_tcp:" $server [seal] " $OPTIONS RPC-DRSUAPI " $* " || failed = ` expr $failed + 1`
2005-01-06 12:26:14 +03:00
echo Testing RPC-DRSUAPI on ncacn_ip_tcp with seal,bigendian
2005-06-08 22:01:25 +04:00
testit bin/smbtorture ncacn_ip_tcp:" $server [seal,bigendian] " $OPTIONS RPC-DRSUAPI " $* " || failed = ` expr $failed + 1`
2005-01-06 12:26:14 +03:00
2005-06-08 22:01:25 +04:00
testok $0 $failed